Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Class AchievementPage

    java.lang.Object
      net.minecraftforge.common.AchievementPage

    public class AchievementPage

extends Object

Constructor Summary
`AchievementPage(String name, Achievement... achievements)`

Method Summary
`static AchievementPage` | `getAchievementPage(int index)` Will return an achievement page by its index on the list.
`static AchievementPage` | `getAchievementPage(String name)` Will return an achievement page by its name.
`static Set<AchievementPage>` | `getAchievementPages()` Will return the list of achievement pages.
`List<Achievement>` | `getAchievements()`
`String` | `getName()`
`static String` | `getTitle(int index)`
`static boolean` | `isAchievementInPages(Achievement achievement)` Will return whether an achievement is in any page or not.
`static void` | `registerAchievementPage(AchievementPage page)` Registers an achievement page.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AchievementPage

    public AchievementPage(String name,
                           Achievement... achievements)

Method Detail

### getName

    public String getName()

### getAchievements

    public List<Achievement> getAchievements()

### registerAchievementPage

    public static void registerAchievementPage(AchievementPage page)

  Registers an achievement page.

  Parameters:
    `page` - The page.

### getAchievementPage

    public static AchievementPage getAchievementPage(int index)

  Will return an achievement page by its index on the list.

  Parameters:
    `index` - The page's index.
  Returns:
    the achievement page corresponding to the index or null if invalid index

### getAchievementPage

    public static AchievementPage getAchievementPage(String name)

  Will return an achievement page by its name.

  Parameters:
    `name` - The page's name.
  Returns:
    the achievement page with the given name or null if no such page

### getAchievementPages

    public static Set<AchievementPage> getAchievementPages()

  Will return the list of achievement pages.

  Returns:
    the list's size

### isAchievementInPages

    public static boolean isAchievementInPages(Achievement achievement)

  Will return whether an achievement is in any page or not.

  Parameters:
    `achievement` - The achievement.

### getTitle

    public static String getTitle(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD